#include <iostream>
#include <fstream>
#include <string>
#include "../Block.hh"
#include "../Header.hh"
#include "../PSRFits.hh"

using namespace Header;
using namespace Block;
using namespace FITS;
using std::string;

int main()
{

  DataBlock block(S70);
  std::ifstream fin;
//   fin.open("../data/s70_tape_test_S181_S18101.dat",std::ios::binary);
  fin.open("/pulsar/archive00/S70_TAPES/S219/S21901",std::ios::binary);
  
  std::cerr << "reading block...";
  block.readBlock(fin);
  std::cerr << "done.\n";

  std::cerr << "opening FITS file...";
  PSRFits fitsfile("!testfull.fits");
  std::cerr << "done.\n";

  std::cerr << "Writing PHU of FITS file...";
  fitsfile.writePHU(block);
  std::cerr << "done.\n";
  std::cerr << "Writing SUBINT table of FITS file...";
  fitsfile.writeSubint(block);
  std::cerr << "done.\n";
 
  std::cerr << "reading block...";
  block.readBlock(fin);
  std::cerr << "done.\n";
  std::cerr << "Writing SUBINT table of FITS file...";
  fitsfile.writeSubint(block);
  std::cerr << "done.\n";

  std::cerr << "reading block...";
  block.readBlock(fin);
  std::cerr << "done.\n";
  std::cerr << "Writing SUBINT table of FITS file...";
  fitsfile.writeSubint(block);
  std::cerr << "done.\n";

  std::cerr << "closing FITS file...";
  fitsfile.closeFile();
  std::cerr << "done.\n";


}
